import React, { DOMAttributes, ReactElement } from "react";
import { AvatarProps } from "./Avatar";
export interface IUserBasic {
    fullName?: string;
    avatar?: string | null;
    name?: string;
    lastName?: string;
}
export interface AvatarNameProps {
    user: IUserBasic;
    position?: "before" | "after";
    size?: AvatarProps["size"];
    variant?: AvatarProps["variant"];
    subLabel?: string;
    className?: string;
    classNameTextWrap?: string;
    classNameText?: string;
    classNameSub?: string;
    customName?: ((props: {
        className: string;
        name: string;
    }) => any) | Element | ReactElement;
    onClick?: DOMAttributes<any>["onClick"];
    avatarProps?: AvatarProps;
}
declare const AvatarName: React.FC<AvatarNameProps>;
export default AvatarName;
