import { Ref, ReactNode, ReactElement } from "react";
export interface ICollapseRenderFnData<T extends HTMLElement, P extends HTMLElement> {
    toggle?: () => void;
    setItemRef?: Ref<T>;
    setContentRef?: Ref<P>;
}
export declare type ICollapseRenderFn<T extends HTMLElement, P extends HTMLElement> = (data: ICollapseRenderFnData<T, P>) => ReactNode;
export interface ICollapseProps<T extends HTMLElement, P extends HTMLElement> {
    toggleClass?: string;
    customRender?: ICollapseRenderFn<T, P>;
    open?: boolean;
    label?: string;
    children: any;
    customIcon?: ReactElement;
    className?: string;
}
declare function Collapse<T extends HTMLElement, P extends HTMLElement>(props: ICollapseProps<T, P>): JSX.Element;
export default Collapse;
