import React from "react";
export interface IconProps extends React.HTMLAttributes<HTMLElement> {
    name: string;
    size?: "medium" | "large" | "small" | "x-small" | "xx-small" | "x-large" | "xx-large" | "xxx-large";
    className?: string;
    color?: string;
}
declare const Icon: ({ name, size, className, color, style, ...props }: IconProps) => JSX.Element;
export default Icon;
