import { CSSProperties, InputHTMLAttributes } from "react";
export interface InputTextProps extends InputHTMLAttributes<any> {
    className?: string;
    classNameLabel?: string;
    classNameInput?: string;
    classNameError?: string;
    classNameInputContainer?: string;
    styleInput?: CSSProperties;
    styleInputContainer?: CSSProperties;
    styleLabel?: CSSProperties;
    variant?: "standard" | "outline";
    multiple?: boolean;
    defaultValue?: string;
    error?: string;
    name?: string;
    label?: any;
    key?: string;
    placeholder?: string;
    type?: string;
    rows?: number;
    cols?: number;
    disabled?: boolean;
    required?: boolean;
    hidden?: boolean;
    prefix?: any;
    suffix?: any;
    wrapperElement?: any;
    onClickSuffix?: () => any;
    onClickPrefix?: () => any;
}
declare const InputText: ({ className, classNameLabel, classNameInput, classNameError, classNameInputContainer, style, styleInput, styleInputContainer, styleLabel, variant, multiple, value, defaultValue, error, name, label, key, placeholder, type, rows, cols, disabled, prefix, suffix, required, hidden, wrapperElement, onChange, onBlur, onClickSuffix, onClickPrefix, ...inputProps }: InputTextProps) => JSX.Element;
export default InputText;
