import React, { Component } from "react";
import PropTypes from "prop-types";
export default class InfiniteScroll extends Component<any, any> {
    static propTypes: {
        children: PropTypes.Validator<string | number | boolean | {} | PropTypes.ReactElementLike | PropTypes.ReactNodeArray>;
        element: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        hasMore: PropTypes.Requireable<boolean>;
        initialLoad: PropTypes.Requireable<boolean>;
        isReverse: PropTypes.Requireable<boolean>;
        loader: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        loadMore: PropTypes.Validator<(...args: any[]) => any>;
        pageStart: PropTypes.Requireable<number>;
        ref: PropTypes.Requireable<(...args: any[]) => any>;
        getScrollParent: PropTypes.Requireable<(...args: any[]) => any>;
        threshold: PropTypes.Requireable<number>;
        useCapture: PropTypes.Requireable<boolean>;
        useWindow: PropTypes.Requireable<boolean>;
        useMemorizeScrollPosition: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        element: string;
        hasMore: boolean;
        initialLoad: boolean;
        pageStart: number;
        ref: null;
        threshold: number;
        useWindow: boolean;
        isReverse: boolean;
        useCapture: boolean;
        loader: null;
        getScrollParent: null;
    };
    pageLoaded: any;
    options: any;
    loadMore: any;
    scrollComponent: any;
    beforeScrollHeight: any;
    defaultLoader: any;
    beforeScrollTop: any;
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    isPassiveSupported(): boolean;
    eventListenerOptions(): any;
    setDefaultLoader(loader: any): void;
    detachMousewheelListener(): void;
    detachScrollListener(): void;
    getParentElement(el: any): any;
    filterProps(props: any): any;
    attachScrollListener(): void;
    mousewheelListener(e: any): void;
    scrollListener(): void;
    calculateOffset(el: any, scrollTop: any): any;
    calculateTopPosition(el: any): any;
    render(): React.CElement<any, React.Component<any, any, any>>;
}
