import React, { ReactElement } from "react";
export interface AvatarProps extends React.ImgHTMLAttributes<HTMLImageElement> {
    size?: "x-large" | "large" | "medium" | "small" | "x-small" | "xx-small";
    variant?: "rounded" | "square" | "circle";
    text?: string;
    secondText?: string;
    color?: string;
    classNameImage?: string;
    classNameLetter?: string;
}
export default function Avatar({ size, src, alt, variant, className, classNameImage, classNameLetter, text, secondText, color, ...props }: AvatarProps): ReactElement;
