import React, { CSSProperties, ReactElement } from "react";
import { ButtonProps } from "../button/Button";
export interface CardProps {
    children?: any;
    className?: string;
    title?: string;
    sideText?: string;
    index?: any;
    subTitle?: string;
    classNameButton?: string;
    classNameIndex?: string;
    classNameHeader?: string;
    customHeader?: (() => ReactElement | Element) | ReactElement | Element;
    customLeft?: (() => ReactElement | Element) | ReactElement | Element;
    customRight?: (() => ReactElement | Element) | ReactElement | Element;
    onClick?: () => void;
    buttonProps?: ButtonProps;
    style?: CSSProperties;
}
declare const Card: React.FC<CardProps>;
export default Card;
