import React from "react";
import { ButtonProps } from "../button/Button";
export interface HeaderProps {
    title?: string;
    cancelText?: string;
    saveText?: string;
    onCancel?: () => any;
    onSave?: () => any;
    onDelete?: () => any;
    onPrint?: () => any;
    onEdit?: () => any;
    deleteText?: string;
    printText?: string;
    editText?: string;
    disabledSave?: boolean;
    customLeft?: () => React.ReactNode;
    customRight?: () => React.ReactNode;
    showCancel?: boolean;
    className?: string;
    classNameLeft?: string;
    classNameRight?: string;
    breadcrumb?: any;
    cancelButtonProps?: ButtonProps;
    deleteButtonProps?: ButtonProps;
    printButtonProps?: ButtonProps;
    editButtonProps?: ButtonProps;
    saveButtonProps?: ButtonProps;
}
declare const Header: React.FC<HeaderProps>;
export default Header;
