import React, { CSSProperties } from "react";
import { BadgeProps } from "../elements/badge/Badge";
export interface HeaderTableProps {
    className?: string;
    classNameTop?: string;
    style?: CSSProperties;
    label?: string;
    onChangeText: any;
    onSubmitSearch?: any;
    searchValue?: string;
    placeholder?: string;
    disabledSearch?: boolean;
    showAddNew?: boolean;
    showExport?: boolean;
    showFilter?: boolean;
    showImport?: boolean;
    onClickNew?: any;
    onClickExport?: any;
    onClickFilter?: any;
    onClickImport?: any;
    customView?: any;
    customButtons?: any;
    customFilterButton?: (() => React.ReactElement) | React.ReactElement;
    customExportButton?: (() => React.ReactElement) | React.ReactElement;
    customImportButton?: (() => React.ReactElement) | React.ReactElement;
    isFiltered?: boolean;
    badgeColor?: BadgeProps["color"];
}
declare const HeaderTable: ({ className, classNameTop, style, label, placeholder, onChangeText, disabledSearch, onSubmitSearch, searchValue, onClickNew, onClickExport, onClickFilter, onClickImport, showAddNew, showExport, showFilter, showImport, customView, customButtons, customFilterButton, customExportButton, customImportButton, isFiltered, badgeColor, }: HeaderTableProps) => JSX.Element;
export default HeaderTable;
