import { SelectProps as SelectAntProps, OptionProps } from "antd/es/select";
import React from "react";
export interface SelectProps extends SelectAntProps<any> {
    classNameSelect?: string;
    classNameOption?: string;
    classNameLabel?: string;
    label?: string;
    dataSource?: Array<any>;
    error?: any;
    variant?: "outline" | "standard";
    name?: string;
    getLabel?: (item: any) => any;
    getKey?: (item: any) => any;
    getValue?: (item: any) => any;
    getDisableOption?: (item: any) => any;
    getOptionProps?: (item: any) => OptionProps;
    hasFilter?: boolean;
    multiple?: boolean;
    required?: boolean;
    hidden?: boolean;
    selectAll?: boolean;
    selectAllLabel?: string;
    deselectAllLabel?: string;
    wrapperElement?: React.ReactElement;
}
export interface SelectMethod {
    onBlur: () => void;
    onFocus: () => void;
}
declare const _default: React.ForwardRefExoticComponent<SelectProps & React.RefAttributes<SelectMethod>>;
export default _default;
