declare function convertCsvJSON(csv: any): any[];
declare function generateCode(length: number): string;
declare function getRandomNumber(min: number, max: number): number;
declare function getRandomColor(): string;
declare function getFullNameStore(store: any): string;
declare function getUniqueID(): string;
declare function removeAllSpace(str: string): string;
declare function removeAllEnterAndSpace(str: string): string;
declare function convertToNumber(string?: string): number | "";
declare function stripHtml(html: any): string;
declare function validURL(str: string): boolean;
declare function mapWatchToEmbedYouTube(url: string): string;
declare function removeHTMLTags(str: string | null | undefined): string | false;
declare const _default: {
    moneyFormat: (n: any) => string;
    moneyThaiFormat: (number: number) => string;
    isAllDigit: (string: string) => boolean;
    validateEmail: (email: string) => boolean;
    moneyThaiFormatFixed2: (number: string) => string;
    convertCsvJSON: typeof convertCsvJSON;
    getExtensionFromFilename: (filename: string) => string;
    generateCode: typeof generateCode;
    getRandomNumber: typeof getRandomNumber;
    getRandomColor: typeof getRandomColor;
    getFullNameStore: typeof getFullNameStore;
    getUniqueID: typeof getUniqueID;
    removeAllSpace: typeof removeAllSpace;
    removeAllEnterAndSpace: typeof removeAllEnterAndSpace;
    convertToNumber: typeof convertToNumber;
    stripHtml: typeof stripHtml;
    validURL: typeof validURL;
    isEnglishAlphabet: (text: string) => boolean;
    mapWatchToEmbedYouTube: typeof mapWatchToEmbedYouTube;
    phoneRegExp: RegExp;
    countryCodeRegExp: RegExp;
    removeHTMLTags: typeof removeHTMLTags;
};
export default _default;
