export declare const mapListDataToTree: (list?: any[], parentIdKey?: string | undefined) => any[];
export declare const getAllSiblings: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
export declare const getAllSiblingCategory: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
export declare const getAllChild: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
export declare const getAllChildCategory: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
export declare const isLeafNode: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => boolean;
export declare const isRootNode: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => boolean;
export declare const getAllChildAndSubChild: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
export declare const searchNode: (findId: string, checkNode: any, getId?: (node: any) => any) => any;
export declare const searchNodeFromTreeList: (nodeId: string, treeList?: never[], getId?: any) => any;
export declare const getLevel: (obj: any) => number;
export declare const getLevelOfNode: (nodeId: string, treeList?: never[]) => number;
export declare const getParentNode: (parentId: string, dataList: any[]) => any;
export declare const getAllParentNode: (node?: any, dataList?: any[], parentIdKey?: string | undefined) => any[];
declare const _default: {
    getAllSiblings: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
    getAllChild: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
    isLeafNode: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => boolean;
    isRootNode: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => boolean;
    mapListDataToTree: (list?: any[], parentIdKey?: string | undefined) => any[];
    getAllSiblingCategory: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
    getAllChildCategory: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
    getAllChildAndSubChild: (nodeId: string, dataList?: any[], parentIdKey?: string | undefined) => any[];
    getLevelOfNode: (nodeId: string, treeList?: never[]) => number;
    searchNodeFromTreeList: (nodeId: string, treeList?: never[], getId?: any) => any;
    getAllParentNode: (node?: any, dataList?: any[], parentIdKey?: string | undefined) => any[];
};
export default _default;
